Bug 484794 - rhythmbox saves podcasts with special characters in filename
rhythmbox saves podcasts with special characters in filename
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 17:39 EST by Christopher Beland
Modified: 2009-09-10 21:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 12:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2009-02-09 17:39:53 EST
So for some podcasts, the filenames when saved to disk have changed from something like:

npr_99498299.mp3

to:

npr_99828138.mp3?_kip_ipx=696291705-1233019251

I don't know what this means or if this is something Rhythmbox is doing, or the podcast provider, but the ? causes problems when I use "cp" to copy saved podcasts to my MP3 player.  It uses a VFAT filesystem, for which ? is apparently an illegal character.  It seems like portable device integration would be easier if special characters were kept out of filenames.

This is with rhythmbox-0.11.6-2.fc9.i386.
Comment 1 Bastien Nocera 2009-03-24 12:53:25 EDT
I believe that's been fixed in rawhide with the move to GIO for the data access and download. If you want to be doubly-sure, just paste the URL for that Podcast (which would be a good start for problems with Podcasts...).
Comment 2 Christopher Beland 2009-09-10 21:37:53 EDT
Confirmed to be fixed, at least as of rhythmbox-0.12.3-1.fc11.i586.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.